Bug 21991 - Displaying more rows on report results does not work for reports with parameters
Summary: Displaying more rows on report results does not work for reports with parameters
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 9634
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-12 16:16 UTC by Nick Clemens
Modified: 2019-01-02 10:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21991: Pass param names to report limit tool (1.39 KB, patch)
2018-12-12 16:19 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 21991: Pass param names to report limit tool (1.46 KB, patch)
2018-12-12 16:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21991: Pass param names to report limit tool (1.52 KB, patch)
2018-12-13 12:48 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-12-12 16:16:28 UTC
To recreate:

1 - Define a report like:
SELECT barcode, itemnumber
FROM items
WHERE (homebranch = <<Branch|branches>> AND 0 ) OR <<Branch|branches>>=<<Branch|branches>>
2 - Run it, you get results
3 - Select 'Rows to display' 50
4 - No results
Comment 1 Nick Clemens 2018-12-12 16:19:40 UTC
Created attachment 83138 [details] [review]
Bug 21991: Pass param names to report limit tool

To test:
1 - Define a report like:
SELECT barcode, itemnumber
FROM items
WHERE (homebranch = <<Branch|branches>> AND 0 ) OR
<<Branch|branches>>=<<Branch|branches>>
2 - Run it, you get results
3 - Select 'Rows to display' 50
4 - No results
5 - Apply patch
6 - Run report
7 - Change display rows
8 - Results remain!
Comment 2 Jonathan Druart 2018-12-12 16:40:15 UTC
Created attachment 83141 [details] [review]
Bug 21991: Pass param names to report limit tool

To test:
1 - Define a report like:
SELECT barcode, itemnumber
FROM items
WHERE (homebranch = <<Branch|branches>> AND 0 ) OR
<<Branch|branches>>=<<Branch|branches>>
2 - Run it, you get results
3 - Select 'Rows to display' 50
4 - No results
5 - Apply patch
6 - Run report
7 - Change display rows
8 - Results remain!

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Martin Renvoize 2018-12-13 12:48:49 UTC
Created attachment 83155 [details] [review]
Bug 21991: Pass param names to report limit tool

To test:
1 - Define a report like:
SELECT barcode, itemnumber
FROM items
WHERE (homebranch = <<Branch|branches>> AND 0 ) OR
<<Branch|branches>>=<<Branch|branches>>
2 - Run it, you get results
3 - Select 'Rows to display' 50
4 - No results
5 - Apply patch
6 - Run report
7 - Change display rows
8 - Results remain!

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2018-12-13 12:49:23 UTC
Simple and works.. passing QA
Comment 5 Nick Clemens 2018-12-14 15:33:55 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2018-12-17 12:04:29 UTC
Pushed to 18.11.x for 18.11.01
Comment 7 Lucas Gass 2018-12-24 15:53:18 UTC
For 18.05 fails QA test with the following message:

 FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/reports/guided_reports_start.tt
   SKIP	  filters
   OK	  forbidden patterns
   OK	  git manipulation
   OK	  js_in_body
   OK	  spelling
   OK	  tt_valid
   FAIL	  valid_template
		Attempt to reload Koha/Template/Plugin/Asset.pm aborted.
Compilation failed in require at /usr/lib/x86_64-linux-gnu/perl5/5.20/Template/Plugins.pm line 206.
Comment 8 Lucas Gass 2018-12-24 16:32:52 UTC
backported to 18.05 for 18.05.08
Comment 9 Fridolin SOMERS 2019-01-02 10:00:09 UTC Comment hidden (obsolete)
Comment 10 Fridolin SOMERS 2019-01-02 10:02:28 UTC
Depends on Bug 9634 not in 17.11.x